<div id="collection">
  <div class="d-sm-flex align-center justify-space-between">
    <p class="mb-0 h6 colorGreyMain">
      Photos Gallery
    </p>
    <div id="hideBottomInput" class="d-sm-flex align-center">
      <!-- <div class="my-3 my-sm-0">
        <v-text-field dense outlined v-model="search" prepend-inner-icon="mdi-magnify" style="width: 320px"
          background-color="#ffffff" placeholder="Search by ID or Customer name...">
        </v-text-field>
      </div> -->
      <div class="ml-sm-3">
        <v-btn color="#076CE3" class="elevation-0" height="40px" @click="openUploadImage()">
          <div class="d-flex align-center">
            <v-icon color="#ffffff">
              mdi-image-plus
            </v-icon>
            <p class="mb-0 white--text fsize-15 ml-2 text-capitalize">
              Upload Photo
            </p>
          </div>
        </v-btn>
      </div>
    </div>
  </div>
  <div>
    <MediaPicker :isShowUploadPhoto="isShowUploadPhoto" :limitImage="true" />
  </div>
  <!-- <div class="mt-4">
    <v-card class="elevation-0">
      <v-row no-gutters>
        <v-col cols="12" sm="2">
          <div class="py-2 px-4 d-flex align-center justify-space-between">
            <p class="mb-0 fsize-16 lightContentPrimary">
              Tag
            </p>
            <div>
              <v-btn text @click="dialogCreateTag = true">
                <div class="d-flex align-center">
                  <v-icon color="#076CE3">
                    mdi-plus
                  </v-icon>
                  <p class="mb-0 lightBackgroundBrandBluefsize-15 ml-2 text-capitalize">
                    Add
                  </p>
                </div>
              </v-btn>
            </div>
          </div>
          <v-divider></v-divider>
          <div class="pa-2" id="list-tag-gallery">
            <div class="height-tag c-pointer mt-2 d-flex align-center justify-space-between py-1 px-2"
              :class="tagId === tag._id ? 'card-tag-active' : ''" v-for="(tag, i) in listTag" :key="i"
              @click="tagId = tag._id">
              <p class="mb-0 fsize-14">
                {{tag.name}}
              </p>
              <div class="dots" v-if="i !== 0">
                <v-menu offset-y left nudge-bottom="4px">
                  <template v-slot:activator="{ on, attrs }">
                    <v-btn color="#7A8C96" small icon v-bind="attrs" v-on="on">
                      <v-icon color="#7A8C96">
                        mdi-dots-horizontal
                      </v-icon>
                    </v-btn>
                  </template>
                  <v-card>
                    <div class="px-4 py-2">
                      <div>
                        <v-btn text width="100%" class="d-flex justify-start" @click="openDialogUpdateTag(tag._id)">
                          <p class="mb-0 lightContentPrimary">
                            Rename
                          </p>
                        </v-btn>
                      </div>
                      <div class="mt-2">
                        <v-btn text @click="openDialogDeleteTag(tag._id)">
                          <p class="mb-0 lightContentPrimary">
                            Delete Tag
                          </p>
                        </v-btn>
                      </div>
                    </div>
                  </v-card>
                </v-menu>
              </div>
            </div>
          </div>
        </v-col>
        <v-col cols="12" sm="10"></v-col>
      </v-row>
    </v-card>
  </div> -->

  <!-- <v-row justify="center">
    <v-dialog v-model="dialogCreateTag" max-width="320">
      <v-card class="pa-0 ">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 fsize-18 lightContentPrimary">
            New Tag
          </p>
          <v-btn color="#949494" @click="dialogCreateTag = false" icon small>
            <v-icon color="#949494" size="20">
              mdi-close
            </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="py-5 px-4">
          <div id="hideBottomInput">
            <v-text-field dense outlined v-model="nameTag" placeholder="Enter tag name">
            </v-text-field>
          </div>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn text width="49%" @click="dialogCreateTag = false" :disabled="loadingHandler">
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#076CE3" class="elevation-0" width="49%" @click="onCreateTag()" :disabled="loadingHandler">
            <v-progress-circular v-if="loadingHandler" size="18" indeterminate color="#fff">
            </v-progress-circular>
            <p class="mb-0 fsize-16 font-weight-bold white--text" v-else>
              Create
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogRenameTag" max-width="320">
      <v-card class="pa-0">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 fsize-18 lightContentPrimary">
            Rename Tag
          </p>
          <v-btn color="#949494" @click="dialogRenameTag = false" icon small>
            <v-icon color="#949494" size="20">
              mdi-close
            </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="py-5 px-4">
          <div id="hideBottomInput">
            <v-text-field dense outlined v-model="nameTag" placeholder="Enter tag name">
            </v-text-field>
          </div>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn text width="49%" @click="dialogRenameTag = false">
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#076CE3" class="elevation-0" width="49%" @click="onUpdateTag()">
            <p class="mb-0 fsize-16 font-weight-bold white--text">
              Save
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogDeleteTag" max-width="383">
      <v-card class="pa-0">
        <div class="py-5 px-6">
          <div class="d-flex align-center justify-center">
            <v-icon color="#EB5757" size="56">
              mdi-delete-forever
            </v-icon>
          </div>
          <p class="mb-0 mt-4 h6 text-center contentSemanticRed">
            Delete Tag
          </p>
          <p class="mt-6 fsize-16 contentMain">
            Do you want to delete this tag?
          </p>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn text width="49%" @click="dialogDeleteTag = false">
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#FF5252" class="elevation-0" width="49%" @click="onDeleteTag()">
            <p class="mb-0 fsize-16 font-weight-bold white--text">
              Delete
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row> -->
</div>
